curl --request PATCH \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clearDescription": true,
"allowsSensitiveProperties": true,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": [
"<string>"
],
"restorable": true,
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType}"
payload = {
"clearDescription": True,
"allowsSensitiveProperties": True,
"description": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"primaryDisplayProperty": "<string>",
"requiredProperties": ["<string>"],
"restorable": True,
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clearDescription: true,
allowsSensitiveProperties: true,
description: '<string>',
labels: {plural: '<string>', singular: '<string>'},
primaryDisplayProperty: '<string>',
requiredProperties: ['<string>'],
restorable: true,
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>']
})
};
fetch('https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas/{objectType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowsSensitiveProperties": true,
"archived": true,
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"portalId": 123,
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update the schema for an object type
指定されたアプリ内の特定のオブジェクトタイプのスキーマを更新してください。この操作により、既存のスキーマの詳細を変更できます。データ構造の要件やビジネスロジックの変更に対応する場合に役立ちます。
Supported products
Supported products
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
説明をクリアまたはリセットする必要があるかどうかを示すブール値。
オブジェクトタイプが機密としてマークされたプロパティーを許可するかどうかを指定するブール値。
オブジェクトタイプの説明を提供してください。
Show child attributes
Show child attributes
オブジェクトの表示に使用される主要なプロパティーを識別する文字列。
オブジェクトタイプに必須のプロパティーを示す文字列の配列。
削除後にオブジェクトタイプを復元できるかどうかを示すブール値。
検索クエリで使用できるプロパティーを指定する文字列の配列。
オブジェクトの表示に使用される追加プロパティーをリストする文字列の配列。
レスポンス
successful operation
オブジェクトタイプが機密プロパティーを許可するかどうかを示すブール値。
オブジェクトタイプがアーカイブされているかどうかを示すブール値。
オブジェクトタイプの完全修飾名を表す文字列。
オブジェクトタイプの固有IDを表す文字列です。
Show child attributes
Show child attributes
オブジェクトタイプの名前を表す文字列。
システム内のオブジェクトタイプの固有IDを表す文字列。
このオブジェクトタイプに必須のプロパティーを表す文字列の配列。
検索操作で使用できるプロパティーを示す文字列の配列。
このオブジェクトタイプの表示に使う追加プロパティーを表す文字列の配列。
オブジェクトタイプを作成した日時を表すISO 8601形式の文字列。
オブジェクトタイプの説明を提供する文字列。
オブジェクトタイプに関連付けられているポータルIDを表す整数。
このオブジェクトタイプを表示するために使用される主要なプロパティーを表す文字列。
オブジェクトタイプが最後に更新された日時を表すISO 8601形式の文字列。